<script context="module">
	import { ensureAuthenticated } from "./_auth.js"
	export function preload(page, session) {
		ensureAuthenticated.call(this, page, session)
	}
</script>

<script>
	import { stores } from "@sapper/app"
	const { session } = stores()
</script>

<h1>{$session.user.displayName} ({$session.user.username})</h1>

<img src={$session.user.avatarUrl} alt="avatar" />

<p>
	<a href={$session.user.profileUrl}>profile</a>
</p>
